Skip to main content
GET
transcript/:transcriptId

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

transcriptId
string
required

Response

200

transcriptId
string

A unique, opaque ID for this object. You can use this ID in API calls, and in paginated list operations.

Example:

"0cb313e1-211f-4be0-833d-8c7305b19902"

domainId
string

The Id of the domain.

roomId
string

The id of the room.

Example:

"1a5afbf4-211f-4be0-833d-8c7305b19902"

mtgSessionId
string

The meeting session ID for this transcription.

Example:

"257764e6-c74e-4c30-944a-a887a03173a3"

status
enum<string>
Available options:
t_finished,
t_in_progress,
t_error,
t_deleted
Example:

"t_finished"

isVttAvailable
boolean

Whether the transcription has been stored in a WebVTT file. See transcription storage.

Example:

true

duration
integer

How many seconds long the transcription is, approximately.

Example:

277

outParams
object

Object representing the storage location for the transcript if transcription_bucket is defined.

error
string

If status is t_error, this provide the description of the error, otherwise null.

Example:

"Failed to upload Vtt"

created_at
string<date-time>

When the transcript record was created (i.e. transcription started).

Example:

"2024-01-15T10:30:00.000Z"

updated_at
string<date-time>

When the transcript record was last updated.

Example:

"2024-01-15T10:35:00.000Z"